> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/hyperliquid/story-3/trace_transaction.md).

# trace\_transaction

Returns all traces of given transaction.

#### **Parameters:**

**DATA, 32 Bytes** - Transaction hash.

#### **Returns:**

**Array**- Trace object

#### Example:

{% code overflow="wrap" %}

```python
// Request
curl https://hyperliquid.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"method":"trace_transaction","params":["0x358ab7164eefdffaa8e4fc171c9289905d09834af5ec59f8faa0964137ae0f3e"],"id":1,"jsonrpc":"2.0"}'
      
// Result
{
      "jsonrpc":"2.0",
      "id":1,
      "result":[.....]
}
```

{% endcode %}
